/**
 * Changelog
 *
 * @package         Modals
 *
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            https://www.regularlabs.com
 * @copyright       Copyright © 2016 Regular Labs - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

/**
 * + Addition
 * ! Removal
 * ^ Change
 * # Fix
 */

24-Apr-2020 : v11.5.10
 ^ Updates translations: fr-FR, nl-NL, tr-TR
 # Fixes issue with modal links not working when having "|" characters inside the tag attribute values

27-Mar-2020 : v11.5.9
 # Fixes issue with plugin running on Gridbox edit forms (which it shouldn't)
 # Fixes issue with plugin running on SP PageBuilder edit forms (which it shouldn't)
 # [PRO] Fixes issue with data-modal-title and data-modal-description attributes on images not working
 # [PRO] Fixes issue with fatal php error when attempting thumbnail creation on invalid/corrupt image files

12-Feb-2020 : v11.5.8
 # [PRO] Fixes issue with descriptions being added to the images if they are the same as the title

11-Dec-2019 : v11.5.7
 # Fixes missing language string
 # [PRO] Fixes issue with images not always seen as images when using the image="..." attribute

14-Oct-2019 : v11.5.6
 ^ Makes it possible to place plugin tag attribute values in single quotes instead of double quotes (can be useful when used inside html attribute values)
 ^ Updates translations: ru-RU
 # [FREE] Fixes issue with installation not going well when installing Free version when the Pro version is already installed

04-Sep-2019 : v11.5.5
 ^ Improves rendering speed on category blog pages

29-Aug-2019 : v11.5.4
 ^ Updates translations: it-IT
 # [PRO] Fixes issue with paths to thumbnails being converted to lowercase

28-Aug-2019 : v11.5.3
 ^ Changes layout of editor button modal popup
 # [PRO] Fixes issues with filename matching in gallery image/thumbnail filters with filenames using uppercase or special characters

12-Aug-2019 : v11.5.2
 # Fixes issue with editor button sometimes throwing a message to enter a URL when it shouldn't

07-Aug-2019 : v11.5.1
 # [PRO] Fixes issue with url queries not added to youtube urls properly

07-Aug-2019 : v11.5.0
 + Adds ability to set dimensions using vw and vh values (percentage of screen width/height)
 ^ Updates translations: de-DE, nl-NL
 # Fixes issue with php notice about array to string conversion on certain AcyMailing pages
 # Fixes issue with php notice about array to string conversion on certain HikaShop pages
 # [PRO] Adds ability to set an autoplay="true" attribute when using the youtube and vimeo attributes
 # [PRO] Fixes issue with the '?' being doubled in Youtube and Vimeo urls when adding url queries

22-Apr-2019 : v11.4.1
 # Fixes issue with html code in modal title messing up link
 # Fixes issue with ml=1 attribute getting added to video urls

15-Apr-2019 : v11.4.0
 + Adds title in modal tag as title attribute in link
 + Adds translations: zh-CN
 + [PRO] Adds ability to set a unique cookie Time To Life (in minutes) via the cookie_ttl="..." attribute
 + [PRO] Adds ability to set a unique cookie name via the cookie="..." attribute

28-Mar-2019 : v11.3.1
 # Fixes issue with scrolling not working on iframes

17-Mar-2019 : v11.3.0
 ^ Changes minimum requirement from Joomla 3.8.0 to Joomla 3.9.0
 ^ [PRO] Renames 'Crop' option to 'Resize Type' with a 'Scale' or 'Crop' value
 # Fixes issue with javascript error on Internet Explorer when trying to open iframes
 # Fixes issue with plugin tags not working correctly when using different than default tag characters in some cases

12-Feb-2019 : v11.2.0
 + Adds ability to set scrolling off on iframes
 + [FREE] Fixes issue with errors when converting images
 ^ Moves some plugin settings around
 ^ Updates translations: et-EE

14-Dec-2018 : v11.1.3
 ^ Updates translations: et-EE
 # Fixes issue with modals on touchscreens (ipad) not staying open

09-Dec-2018 : v11.1.2
 # [PRO] Fixes issue with gallery filter by image names not working with filenames with uppercase characters

06-Dec-2018 : v11.1.1
 # Fixes issue with editor button popup not working

05-Dec-2018 : v11.1.0
 + Adds ability to hide countdown via {modal} tag using countdown="false"
 + [PRO] Adds ability to hide all navigation buttons and overlays using navigation="false"
 ^ Changes use of RL toggler scripts to use Joomla core showon scripts
 ^ Improves resizing of modal after loading
 ^ Improves way Regular Labs Library scripts and styles are loaded on admin side
 ^ Refactors some code
 ^ Updates translations: de-DE, et-EE, fr-FR, sv-SE, tr-TR
 # Fixes issue with "Use Title/Alt Attribute" image settings not working
 # Fixes issue with content in Yootheme Pro templates not working in some cases (because of a jacked up way Yootheme is storing data in the fulltext property!)
 # [PRO] Fixes issue with 'fixed' position setting not working
 # [PRO] Fixes issue with thumbnails always getting cropped when using default settings

16-Oct-2018 : v11.0.0
 + Adds extra option to the Tag Characters setting («...»)
 + Adds option to disable the overlay completely
 + [PRO] Adds ability to group images converted by classname via data-modal-group attribute
 ! Removes old styling for IE 7 & 8
 ^ Changes colorbox script to own forked rl_modals script (not B/C compatible!)
 ^ Changes element ids used in scripts and styles to use prefix rl_modals instead of cbox (not B/C compatible!)
 ^ Improves accessibility (aria labels)
 ^ Improves touch support
 # Fixes issue with legacy support not getting set to Yes when upgrading from an old version
 # [FREE] Fixes issue with error about undefined property thumbnail_legacy
 # [PRO] Fixes issue with 'fixed' positioning setting not working
 # [PRO] Fixes issue with fatal errors when trying to reference an image that does not exist
 # [PRO] Fixes issue with image and gallery settings not working correctly when entered in the editor button popup
 # [PRO] Fixes issue with links to external images throwing errors (because of triggering thumbnail code when it shouldn't)
 # [PRO] Fixes issue with links to internal images with full absolute urls getting prepended with a slash
 # [PRO] Fixes issue with thumbnail resizing not working correctly on image tags converted by class name
 # [PRO] Fixes issue with thumbnail specific alt and title set via the data.txt not working
 # [PRO] Fixes issue with title being set via the plugin tag not working on galleries
 # [PRO] Fixes issue with titles and descriptions in the data.txt not being passed through the language files

04-Oct-2018 : v10.0.3
 # Fixes issue with javascript/css sometimes not getting loaded when it should

02-Oct-2018 : v10.0.2
 # Fixes issue with content sometimes getting duplicated on K2 items

02-Oct-2018 : v10.0.1
 # Fixes issue with fatal error about access to undeclared static property $image_data
 # Fixes issue with tags not being converted at the content prepare stage

01-Oct-2018 : v10.0.0
 + Adds ability to override the title and description of the modal in html image tags with data-modal-title and data-modal-description attributes
 + [PRO] Add crop option for thumbnails
 + [PRO] Adds ability to make thumbnail links to images using the new image attribute
 + [PRO] Adds ability to set dimensions of the thumbnail in the modal tag with thumbnail-width and thumbnail-height attributes
 + [PRO] Adds ability to use custom image to be used as a base for thumbnails
 + [PRO] Now generates and stores thumbnails in a folder
 ! [PRO] Deprecates show and showall attributes
 ^ Changes default styling of modals with images and videos to have no padding
 ^ Changes minimum requirement from Joomla 3.7.0 to Joomla 3.8.0
 ^ Changes old method with thumbnail suffix to Legacy Support
 ^ Rearranges plugin options
 ^ [FREE] Moves Scale Photos and Retina Image settings to free version
 ^ [PRO] Adds ability to control thumbnails and images in galleries via thumbnail and images attributes
 # Fixes issue with setting width/height in percentages not working correctly
 # Fixes issue with styles and scripts still being loaded when Modals is not used on the page
 # [PRO] Fixes issue with site-wide cookies not being set correctly

07-Sep-2018 : v9.13.1
 # Fixes issue with missing language strings in editor button popup
 # Fixes potential SECURITY issue concerning cross site scripting via editor button popup

10-Aug-2018 : v9.13.0
 + [PRO] Adds option to set the compression quality of the generated thumbnails
 ^ [PRO] Improves compression of thumbnail images

02-Jun-2018 : v9.12.0
 + Adds allow="autoplay; encrypted-media" to iframes
 # Fixes issue with php errors on edit pages when using php 5.4

23-May-2018 : v9.11.1
 # Fixes issue with php warnings when linking to articles that are deleted or not published
 # Fixes issue with tags sometimes not getting handled when found after comment tags with certain syntax

22-Apr-2018 : v9.11.0
 + [PRO] Adds ability to set the range of thumbnails to show, like show="1-4" to only show the first 4 thumbnails
 # Fixes issue with plugin tags inside html comments being converted

21-Mar-2018 : v9.10.1
 # Fixes issue with system plugin settings page breaking if Enable in Administrator option is switched on

07-Mar-2018 : v9.10.0
 + [PRO] Adds ability to set separate alt attributes via data.txt file
 + [PRO] Adds ability to set separate thumbnail title and alt attributes via data.txt file
 # Fixes issue with alt and title not being correctly set on the gallery thumbnails

20-Feb-2018 : v9.9.0
 + [PRO] Adds ability to use alt attribute of image as description (or title) of modal
 + [PRO] Adds ability to use data-title and data-description attributes of image as title/description of modal
 + [PRO] Adds ability to use title attribute of image as description of modal
 # Fixes issue with html markup in image title attribute in modal
 # Fixes issue with left over {modal} tags not being removed

06-Feb-2018 : v9.8.2
 # Fixes issue with plugin not being executed on AcyMailing archive pages
 # [FREE] Fixes issue with php warning about undefined property $tag_content

24-Jan-2018 : v9.8.1
 # [PRO] Fixes issue with open="once" not working correctly

22-Jan-2018 : v9.8.0
 + Adds ability to set the alt and title attributes on linked images via the {modal} tag
 + Adds translations: cs-CZ
 ^ Changes minimum requirement from Joomla 3.6.0 to Joomla 3.7.0
 ^ Updates translations: de-DE, pl-PL
 # Fixes issue with missing aria-label on empty links
 # Fixes some javascript issues in admin side on Joomla 3.7.0
 # [PRO] Fixes issue with Disable On Components option not working
 # [PRO] Fixes issue with missing alt tags on hidden images for galleries

29-Oct-2017 : v9.7.1
 ^ Updates translations: da-DK, nl-NL, sv-SE
 # Fixes issue with javascript errors when there are links (<a> tags) without a href in some cases

05-Oct-2017 : v9.7.0
 + Adds ability to force print view with print="true"
 + [PRO] Adds option to not use the title/alt attribute as modal title when auto converting images
 ^ Updates translations: de-DE,
 # Fixes issue with plugin tags not getting replaced in some cases
 # [PRO] Fixes issue with inserting tag with inline content via editor button not working

07-Sep-2017 : v9.6.2
 # [PRO] Fixes issue with open="true" only opening modal once

05-Sep-2017 : v9.6.1
 # Fixes issue with auto-resizing not working
 # Fixes issue with open="once" not working

04-Sep-2017 : v9.6.0
 + Adds ability to set multiple values in open attribute
 + Adds editor button to help create {modal} tags
 + Adds option to set a delay for the auto-correct resizing
 + Adds option to switch off the auto-correct resizing
 + [PRO] Fixes issue with Joomla updater not seeing new Pro versions after upgrading from Free to Pro
 ^ Updates translations: pt-BR, sv-SE, uk-UA
 # Fixes issue with javascript failing when using delayed js loading via LABjs

22-Jul-2017 : v9.5.4
 # Fixes issue with Regular Labs plugins no longer being run on category blog pages
 # Fixes issue with global minimum width not being taken into account

19-Jul-2017 : v9.5.3
 ^ Updates translations: tr-TR
 # Fixes issue with minimum width in tag not being taken into account

06-Jul-2017 : v9.5.2
 # Fixes issue with resizing to small when new calculated width/height is a float

05-Jul-2017 : v9.5.1
 ^ Improves the way the system plugin methods gets called
 # Fixes issue with 'Disable Pageload Popups on Mobile' option not working correctly
 # Fixes issue with settings not working on Joomla 3.6.5 and lower
 # Fixes issue with width/height being much too large when setting fixed width/height in pixels

28-Jun-2017 : v9.5.0
 ^ Improves position of close button when there is a scroll bar (bootstrap styling)
 ^ Improves styling of the different colorbox styles
 # Fixes issue with description overlapping content area
 # Fixes issue with incorrect (re)sizing of the modals
 # Fixes issue with scrollbar not showing with some styles

19-Jun-2017 : v9.4.3
 # Fixes issue with bottom of modal not showing with some modal styles
 # Fixes issue with vertical scrollbar not showing when needed

18-Jun-2017 : v9.4.2
 # Fixes issue with javascript error concerning Joomla.getOptions on J3.6

14-Jun-2017 : v9.4.1
 # Fixes issue with fatal errors when Regular Labs Library does not get updated correctly

14-Jun-2017 : v9.4.0
 + [PRO] Adds option to set a unique cookie ID for the open count
 ^ Changes way option are passed to script
 ^ Improves resizing of modal window on initial load
 ^ Improves resizing of modal window on window resize
 ^ Updates translations: de-DE, id-ID, sv-SE, tr-TR
 # Fixes issue with first link re-opening on resize when using groups
 # [PRO] Fixes issue with focus (and scroll) being set to link after closing a modal that gets auto-opened

21-Apr-2017 : v9.3.0
 + [PRO] Adds ability to disable background scrolling via system plugin settings
 + [PRO] Adds ability to set modal attributes via html link tags using data-modal-xxx="..."
 # Fixes issue with modal title not being set/overridden through title attribute in link

10-Mar-2017 : v9.2.4
 # [PRO] Fixes issue with surrounding divs around modalcontent tags getting messed up

09-Mar-2017 : v9.2.3
 # [FREE] Fixes issue with error about undefined property countdown

07-Mar-2017 : v9.2.2
 ^ Improves handling of surrounding html tags

02-Mar-2017 : v9.2.1
 ^ Improves rendering speed when no plugin tags are found
 # Fixes issue with maximum width exceeding screen width when set to a fixed pixel width

27-Feb-2017 : v9.2.0
 ^ Sets the default value of the "Disable Pageload Popups on Mobile" setting to "No"
 # Fixes issue with modals not resizing correctly on window resize / orientation change

23-Feb-2017 : v9.1.0
 + Adds ability to set the rel attribute (like rel="nofollow") in the tag
 + [PRO] Adds option to automatically create thumbnails from gallery images (thanks Yves Hoppe)
 ^ Updates translations: uk-UA
 # Fixes issue with overriding modal settings in tag not working
 # Fixes issue with websites using certain encodings breaking

15-Feb-2017 : v9.0.6
 ^ Updates translations: sv-SE
 # Fixes issue with replacements not being done on some websites using special character sets
 # [PRO] Fixes issue with updates via core installer sometimes failing

05-Feb-2017 : v9.0.5
 # Fixes issue with SobiPro edit forms not being protected from plugin handling
 # Fixes issue with tags not being handled in some situations (large pages)

29-Jan-2017 : v9.0.4
 ^ Changes minimum requirement from Joomla 3.4.1 to Joomla 3.6.0
 # Fixes issue with potential fatal errors when updating from older version

25-Jan-2017 : v9.0.2
 # Fixes issue with converting links by classname not working

25-Jan-2017 : v9.0.1
 # Fixes issue with internal pages opening full page
 # Fixes issue with media files not opening correctly

24-Jan-2017 : v9.0.0
 + Adds option to disable modal popups on pageload for mobile devices (based on screen width)
 ! Removes the buggy 'fade' transition option
 ^ Changes minimum requirement from php 5.3.13 to php 5.4
 ^ Completely recoded the extension and Regular Labs Library (now using namespaces)
 ^ Updates translations: id-ID, tr-TR
 # Fixes issue with Regular Labs Library plugin causing slowness in administrator when 'Show Help Menu Item' is enabled
 # Fixes issue with fullscreen mode on videos reloading modal

28-Nov-2016 : v8.2.2
 # Fixes issue with extra jQuery file loading in non-iframe loaded pages (when load scripts/styles option is on)

25-Nov-2016 : v8.2.1
 # Fixes issue with {modal} tags being stripped from edit views
 # Fixes issues with page breaking when Regular Labs Library folder is missing
 # [PRO] Fixes issue with empty title/alt attributes in image tags being lost

14-Nov-2016 : v8.2.0
 + Adds ability to load an internal page as full page (including all module positions) with fullpage="true"
 # Fixes issue with empty {modal} tags in menu items remaining in unlinked parts like breadcrumbs
 # Fixes issue with modal not resizing when switching from portrait to landscape

28-Oct-2016 : v8.1.5
 ^ Improves loading speed on pages with large forms

24-Oct-2016 : v8.1.4
 # Fixes issue with tags not being handled in pdfs

19-Oct-2016 : v8.1.3
 # Fixes issue with pages with text areas with a lot of content potentially breaking

13-Oct-2016 : v8.1.2
 # Fixes issue with empty textarea tags messing up output
 # Fixes issue with syntax not working in menu items when quotes are converted to html entities
 # Fixes issue with {modal} tags inside html tag attributes being converted to links
 # Fixes issues with internal links inside an iframed modal not using the subtemplate

06-Oct-2016 : v8.1.1
 # Fixes issue with parameters with value false or 0 not working correctly

03-Oct-2016 : v8.1.0
 + Adds ability to use language tokens in titles and descriptions
 + Adds translations: nl-BE
 + [PRO] Adds ability to set a random first image in galleries
 + [PRO] Adds ability to set a specific or random thumbnail image in galleries
 ^ Updates ColorBox to version 1.6.4
 ^ Updates touchSwipe script to version 1.6.18
 # Fixes issue with images converted by class name always getting grouped
 # Fixes issue with youtube/vimeo urls not being fixed when not using the direct urls

05-Sep-2016 : v8.0.2
 # Fixes issue with administrator returning blank on some setups

26-Aug-2016 : v8.0.1
 # Fixes issue with iframe attribute not working

24-Aug-2016 : v8.0.0
 + Adds translations: tr-TR
 ^ Changes tag syntax to use html style attributes (still works with old style too)
 # [PRO] Fixes issue with galleries/slideshows using the open on page load not starting with correct image

23-Jun-2016 : v7.1.2
 # Fixes issue with fullscreen not working with vimeo videos in Safari

16-Jun-2016 : v7.1.1
 # [PRO] Fixes issue with image not showing in gallery when using a different first image

11-Jun-2016 : v7.1.0
 + [PRO] Adds support for using titles/description from the data.txt for direct image links too (not only galleries)
 ^ Updates translations: sv-SE

16-Apr-2016 : v7.0.0
 + [PRO] Adds ability to use language strings in the data.txt
 ^ Moves from NoNumber to Regular Labs branding
 # [PRO] Fixes issue with countdown bar not showing when modal has no title

24-Mar-2016 : v6.4.0
 + Adds option to disable the countdown bar when using autoclose
 ^ Improves handling of AcyMailing pages
 ^ Improves styling of empty title and close button
 ^ Updates some HTML syntax
 # Fixes issue with not being able to select text in modal popups
 # [PRO] Fixes issue with modals with open=1 not being able to be grouped
 # [PRO] Fixes issue with open=1 modals being opened multiple times when initModals is triggered multiple times

28-Feb-2016 : v6.3.1
 # Fixes issue with template overrides for css/js files not working anymore

26-Feb-2016 : v6.3.0
 + Adds version number to own css/js files (and option to switch it off)
 # Fixes incompatibility with Gantry templates that do not load a component area
 # Fixes issue with javascript causing errors when a script merging
 # Fixes issue with smart search (finder) indexing breaking
 # [PRO] Fixes issue with images with modal classnames no longer getting handled

30-Jan-2016 : v6.2.11
 # Fixes issue with {modal} tags inside other links (like menu items) not working

28-Jan-2016 : v6.2.10
 ^ Improves support for html tags using single quotes around parameter values
 ^ Updates translations: uk-UA
 # Fixes issue with plugin tags not being converted in smart search (finder)
 # Fixes issues with Joomla 3.5 and php7 compatibility

10-Jan-2016 : v6.2.9
 # Fixes issue with javascript failing is some situations

07-Jan-2016 : v6.2.8
 ^ Updates translations: de-DE
 # Fixes issue with php notice about undefined variable replacements
 # Fixes issue with tags sometimes not getting converted when using non-default tag characters

24-Dec-2015 : v6.2.7
 ^ Updates translations: es-ES
 # Fixes issue with tags inside links not getting replaced correctly on some setups

14-Dec-2015 : v6.2.6
 # Fixes issue with javascript errors when using javascript compressors/combiners/cachers
 # Fixes issue with tags being converted in edit forms

11-Nov-2015 : v6.2.5
 # Fixes issue with fatal error about undefined function utf8_strtolower on some setups

10-Nov-2015 : v6.2.4
 # Fixes issue with javascript error breaking modals functionality

10-Nov-2015 : v6.2.3
 # Fixes issue with modals with timeouts still opening when other modal has opened before
 # Fixes issue with php notice about undefined property $retinaurl

03-Nov-2015 : v6.2.2
 # Fixes issue with tags not getting interpreted

03-Nov-2015 : v6.2.1
 # Fixes issue with fatal error about undefined function utf8_strtolower
 # Fixes issue with spans inside the tag being removed

31-Oct-2015 : v6.2.0
 + Adds ability to change the surrounding tag syntax characters
 + Adds ability to override the subtemplate via the url
 + Adds fallback to original images if retinaUrl image does not exist
 + Adds translations: ja-JP
 ^ Adds compatibility for setups that do not have mbstring enabled (but still less stable)
 ^ Improves handling of surrounding html tags
 # Fixes issue with regular expressions not working on some php versions (5.6.14)
 # Fixes issue with swipe direction being wrong way round

09-Sep-2015 : v6.1.1
 # Fixes issue with fatal error on setups using geo assignments in other extensions

08-Sep-2015 : v6.1.0
 + Adds swipe functionality
 # Fixes issue with modals reloading on window height resize
 # Fixes issue with modals resizing on resize when it doesn't need to
 # Fixes issue with modals with open=1 getting reopened on resize

09-Aug-2015 : v6.0.3
 # Fixes issue with php error about call to a member function get() on a non-object on some components
 # Fixes issue with syntax breaking when editor auto-converts urls to links inside {modal} tag

07-Aug-2015 : v6.0.2
 # Fixes issue with uninstallation getting into a loop
 # Fixes issue with upgrading not working
 # [FREE] Fixes issue with php notice about undefined property tag_content

02-Aug-2015 : v6.0.1
 # Fixes issue with modal.php not being copied to templates/system folder upon installation

02-Aug-2015 : v6.0.0
 + Adds ability to set target via the modal tag
 ! [J2.5] Removes Joomla 2.5 support
 ^ Changes minimum requirement to Joomla version 3.4.1
 ^ Forces modal to reopen on browser resize
 ^ Recodes the installer
 ^ Updates ColorBox to version 1.6.3
 # Fixes issue with missing language string
 # Fixes issue with modal tags not being handled inside iframed modal popups
 # [PRO] Fixes issue with multiple links to same content creating slideshow

18-May-2015 : v5.4.0
 # Adds ability to give links an id
 # [PRO] Adds ability to open modals on page load via the url (modal=modalid)
 # [PRO] Fixes issue with hidden gallery links getting styling when using custom classes
 # [PRO] Fixes issue with images with uppercase extensions not being included in gallery
 # [J3][FREE] Fixes issue with error about undefined property disable_components

04-Apr-2015 : v5.3.0
 + Adds ability to ignore urls when using auto-convert options
 ^ Updates translations: id-ID, sv-SE, uk-UA
 ^ [J3] Improves rendering speed on pages with large contents
 # [PRO] Fixes issue with components select list only saving one value

31-Jan-2015 : v5.2.1
 # [FREE] Fixes issue with undefined property $tag_content

30-Jan-2015 : v5.2.0
 + Adds translations: uk-UA
 + [PRO] Adds ability to base the open count on website wide cookies
 + [PRO] Adds ability to overrule the open count based on setting via the opentype parameter
 + [PRO] Adds ability to set the lifetime of the open count cookie
 + [PRO] Adds ability to set the open min and max via open=x-x, like open=1-3
 + [PRO] Adds ability to set the open once via open=once
 # Fixes issue with url parameters in youtube/vimeo urls being lost

14-Jan-2015 : v5.1.2
 + [J3][PRO] Adds option to remove/keep plugin syntax on disabled components
 # [FREE] Fixes issue with styling of title bar not being adjusted when title is empty
 # [PRO] Fixes issue with disable on components option not working

08-Jan-2015 : v5.1.1
 ! Removes compatibility for php versions under 5.3.13
 ! [J3] Removes compatibility for Joomla 3 versions under 3.3.0
 ^ Updates translations: id-ID
 # Fixes issue with Free version being able to be installed over the Pro version
 # [PRO] Fixes issue with current active item id being added to article links instead of default
 # [PRO] Fixes issue with open as iframe setting also affecting inline content links

18-Nov-2014 : v5.1.0
 + [PRO] Adds ability to set onOpen, onLoad, onComplete, onCleanup, onClosed functions via tag
 + [PRO] Adds ability to switch off the close button in the settings
 # Fixes issue with error about nnFile on installation on some setups
 # Fixes issue with javascript error about modal_defaults in some cases using gzipping
 # [PRO] Fixes issue with autoclose timeout not being cleared when window is closed manually

11-Nov-2014 : v5.0.6
 ^ Moves modals scripts to self-contained function which can be triggered by initModals()
 # [PRO] Fixes issues with duplicate rows in update_sites table

03-Nov-2014 : v5.0.5
 # Fixes issue with internal modal window breaking on some setups when redirect script is placed
 # [PRO] Fixes issue with youtube/vimeo urls using http instead of https

01-Nov-2014 : v5.0.4
 # Fixes issue with form elements not getting unprotected (remaining encoded) in some cases

28-Oct-2014 : v5.0.3
 # Fixes issue with {modal} tags around menu items not working in some cases

22-Oct-2014 : v5.0.2
 # Fixes issue with jQuery not getting loaded on some setups

22-Oct-2014 : v5.0.1
 # [FREE] Fixes issue with Undefined property $autoconvert_classnames_images

22-Oct-2014 : v5.0.0
 + Adds ability to place own styles in the css folder (file will show up in selection)
 + Adds extra yes/no select fields for auto-convert options
 + Improves handling of non-embed versions of youtube/vimeo urls
 + [PRO] Adds ability to create a link to an article with the title or alias of the article using the article= attribute
 + [PRO] Adds ability to create galleries via image classnames
 + [PRO] Adds ability to set an auto close in milliseconds with parameter autoclose=
 + [PRO] Adds ability to set gallery titles and descriptions for individual images via a data.txt
 + [PRO] Adds ability to set link to youtube/vimeo videos by tag parameter youtube= and vimeo=
 ^ Changes styling of title bar if title is empty
 ^ Improves handling of tags inside links
 ^ Improves styling and display of the description
 ^ Updates ColorBox to version 1.5.14
 # Fixes issue with modal window being tiny when width/height are not set in iframe mode on internal urls
 # Fixes issue with php warning about Unknown modifier '.' in protect.php
 # Fixes issue with plugin not being run over introtext/fulltext on onContentPrepare event
 # Fixes issue with plugin not working on jDownloads frontend view
 # Fixes issue with quotes in titles and descriptions
 # Fixes issue with redirect script not working when not in iframe mode
 # Fixes issue with scripts/styles not being removed when no modal links are found
 # [PRO] Fixes issue with modal tag with html= parameter sometimes pushing text to new line

26-Aug-2014 : v4.12.3
 # [FREE] Really, really, really fixed issue with code being messed up and breaking the page (argh!)

26-Aug-2014 : v4.12.2
 # [FREE] Really fixed issue with code being messed up and breaking the page

26-Aug-2014 : v4.12.1
 # [FREE] Fixes issue with code being messed up and breaking the page

26-Aug-2014 : v4.12.0
 + [PRO] Adds ability to set the closeButton value in the tag
 + [PRO] Adds option to set the open count (used with openOnce, openMin and openMax attributes) to page instead of website
 ^ Updates translations: id-ID
 # [PRO] Fixes issue with gallery not handling UTF-8 characters well in file names

19-Aug-2014 : v4.11.1
 # [PRO] Fixes issue with all images in gallery getting the same title

15-Aug-2014 : v4.11.0
 + [PRO] Adds ability to create a link to an article with only the article id using the article= attribute
 + [PRO] Made title overridable with a fixed title for galleries via the tag
 ^ Refactors code
 ^ Updates ColorBox to version 1.5.13
 ^ Updates translations: es-ES, lt-LT
 # Fixes issue with lowercase option missing from title case option
 # Fixes issue with tags being converted in com_myjspace edit forms
 # [J2] Adds missing jQuery.noConflict()
 # [J2] Fixes issue with errors after upgrade to Joomla 3
 # [J3] Fixes issue with tags not being handled in search results

26-May-2014 : v4.10.1
 ! [J3] Removes compatibility for Joomla 3 versions under 3.2.2
 # [PRO] Fixes issue with error about in_array

22-May-2014 : v4.10.0
 + Adds options to control auto title casing
 ! Removes incorrect translations of the URL field description
 ^ Updates translations: id-ID
 # Fixes issue with links with a target inside the modal window having the ml and iframe url variables

13-May-2014 : v4.9.0
 + [PRO] Adds ability to set delay in modal popups that open on page load
 ^ Updates ColorBox to version 1.5.9
 ^ Updates translations: lt-LT, nl-NL
 # Fixes issue with mobile setting not working
 # [PRO] Fixes issue with modals losing settings (like title) when multiple on page (in some cases)

29-Apr-2014 : v4.8.0
 + Adds option to load scripts/styles in inline modal again (disabled by default)
 + Adds translations: fr-FR, id-ID, nl-NL
 + [PRO] Adds option to disable modals on mobile (narrow) screens
 ^ Improves load speed of internal pages when not using iframe mode
 ^ Made file type detection case insensitive
 # Fixes issue with html structure issues when tags are directly inside html 5 elements

05-Apr-2014 : v4.7.4
 # Fixes issue with Modals not working on AcyMailing frontend views

05-Mar-2014 : v4.7.3
 # [J2] Adds option to load jQuery v2.1.0 instead of v1.11.0

27-Feb-2014 : v4.7.2
 ^ Updates translations: sv-SE
 ^ [J2] Downgrades jQuery from version 2.0.3 to 1.11.0 to restore IE8 compatibility
 # Fixes issue with some missing language strings in some occasions
 # [PRO] Fixes issue with gallery showing last image first when tag has content

02-Jan-2014 : v4.7.1
 ^ Improves some code in NoNumber Framework which improves page load speed
 ^ Updates translations: nl-NL
 # Fixes issue with tags being encoded in frontend edit views

06-Dec-2013 : v4.7.0
 + Adds ability to set a description
 + Adds ability to set onSomething triggers in the {modal} tags
 ^ Updates ColorBox to version 1.4.33
 # Fixes installation error about duplicate entry on some MySQL 5.6 setups
 # Fixes issue with frontend edit form not working when Modals plugin is enabled

07-Nov-2013 : v4.6.1
 ^ Updates translations: lt-LT
 # Fixes issue with multiple image galleries sometimes being grouped together
 # Fixes issue with tags in Sourcerer code being converted
 # Fixes issue with tags in some text and textarea fields being converted

22-Oct-2013 : v4.6.0
 + Adds option to make modals open as iframe by default
 + Adds option to set the sub template
 ^ Updates translations: sl-SI

18-Oct-2013 : v4.5.0
 + Adds translations: pt-PT
 + [PRO] Adds ability to load modal on page load only once using openOnce or use openMin and openMax
 ^ Changes javascript minification to use Google Closure
 ^ Updates ColorBox to version 1.4.32
 ^ Updates translations: ca-ES, de-DE, el-GR, es-ES, hi-IN, it-IT, ja-JP, nb-NO, nl-NL, pl-PL, ru-RU, sl-SI, sv-SE, th-TH, uk-UA, zh-TW
 # [PRO] Fixes issue with first image showing as last number in gallery mode

26-Sep-2013 : v4.4.1
 ^ Updates ColorBox to version 1.4.31
 ^ Updates translations: de-DE, lt-LT
 # Fixes issue with tags not being handled when site has invalid html structure
 # [PRO] Fixes issue with slideshow not working when using the open=1 attribute

23-Aug-2013 : v4.4.0
 + [PRO] Adds option to disable on selection of components
 ^ Made texts previous, next and close translatable via language files
 # Fixes issue with AcyMailing pages opened by Modals breaking
 # Fixes issue with opening tags not being converted on some setups
 # Fixes issue with tags sometimes appearing in title tags and title attributes

13-Aug-2013 : v4.3.1
 ^ Updates ColorBox to version 1.4.27
 ^ Updates translations: es-ES, lt-LT
 # Fixes issue with links being handled on AcyMailing pages
 # Fixes issue with relative internal links not being handled correctly

05-Jul-2013 : v4.3.0
 + Adds option to redirect script in case link is not loaded in modal window (on by default)
 + Adds setting to always open given filetypes in iframe mode (fixes issue with pdfs)
 ^ Updates ColorBox to version 1.4.26
 ^ Updates translations: es-ES
 ^ [J2] Updates jQuery to version 2.0.3
 # [J2] Fixes issue with jQuery script not running in noConflict mode

27-Jun-2013 : v4.2.0
 ! [J2] Removes compatibility for Joomla 2.5 versions lower than 2.5.10
 ! [J3.0] Removes compatibility for Joomla 3 versions lower than 3.1.0
 # Fixes issue with Modals' scripts and styles sometimes not being loaded
 # Fixes issue with internal links inside iframed modal loading entire template

25-Jun-2013 : v4.1.2
 + Adds ability to override auto_titles setting
 # Fixes issue with converting links by custom classname not working
 # Fixes issue with iframe attribute in tag not working correctly
 # [FREE] Fixes issue with notices about undefined properties tag_content

19-Jun-2013 : v4.1.1
 # Fixes issue with links with empty classname being modalized (regardless of settings)
 # [FREE] Fixes issue with notices about undefined properties external and target

18-Jun-2013 : v4.1.0
 + [PRO] Adds Auto Group option
 # Fixes issue with some settings only working on tag sytax link
 # Fixes issue with true/false values in default settings not having effect
 # Fixes issue with width/height in tag settings not working correctly

12-Jun-2013 : v4.0.1
 # Fixes issue with scripts not loading when using only non-tag activators on page

11-Jun-2013 : v4.0.0
 ^ First release (a continuation and replacement of Modalizer)